Bug 503193 - Missing dependency on gnome-speech
Missing dependency on gnome-speech
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: orca (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-29 10:48 EDT by Kevin Kofler
Modified: 2009-06-18 07:41 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2.26.2-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-18 07:41:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Kofler 2009-05-29 10:48:17 EDT
Description of problem:
Orca is missing a dependency on gnome-speech. It doesn't work without it.

Version-Release number of selected component (if applicable):
orca-2.22.3-1.fc9.i386

How reproducible:
Always

Steps to Reproduce:
1. Install orca on a system without gnome-speech (e.g. installed from the KDE spin).
2. Run orca from the command line.
  
Actual results:
Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/orca/speech.py", line 61, in getSpeechServerFactories                                                                  
    [''])                                                                       
  File "/usr/lib/python2.5/site-packages/orca/gnomespeechfactory.py", line 52, in <module>                                                                      
    ORBit.load_typelib('GNOME_Speech')                                          
RuntimeError: could not load typelib

Expected results:
Orca starts.

Additional info:
I found this while trying to reproduce an issue with Espeak and PulseAudio reported on the mailing list.

And after installing gnome-speech by hand, I run into bug 448198.
Comment 1 Jan Kratochvil 2009-06-06 13:36:11 EDT
Still valid: orca-2.26.2-1.fc11.x86_64
Comment 2 Matthias Clasen 2009-06-16 21:53:14 EDT
* Thu Jun 11 2009 Matthias Clasen <mclasen@redhat.com> - 2.26.2-2
- Add a gnome-speech dep (#503193)
Comment 3 Fedora Update System 2009-06-18 07:41:28 EDT
orca-2.26.2-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.